<html>
<head>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/prototype/1.7.0.0/prototype.js"></script>
<script>
var n = ['nginx']

function PageInit() {
	for (i = 0; i < n.length; i++)
	{
		a = new Ajax.PeriodicalUpdater(n[i], '/process/' + n[i] + '_index/', {
			method: 'get', frequency: 10
		});
	}
}

function ReloadPanels() {
	for (i = 0; i < n.length; i++)
	{
		b = new Ajax.Updater(n[i], '/process/' + n[i] + '_index/', {
			method: 'get',
		});
	}
}

function LoadFooter(n) {
	var a = new Ajax.Updater('footer', n, {
		method: 'get',
		insertion: 'top',
		onSuccess: function(transport) {
			ReloadPanels();
		}
	});
}
</script>
<link rel="stylesheet" href="/static/css/monitor.css" />
<link rel="stylehseet" href="/static/css/process.css" />
<style>
button {
display: block;
margin: 1%;
}
#controls a {
display: inline-block;
background-color: #000;
color: #fff;
margin: 3px;
padding: 4px;
width: 7em;
font-size: 0.9em;
}
</style>
</head>
<body onload="PageInit()">
	<div id="header">
		<h2>Djanitor</h2>
		<h3>Django/Nginx Management Interface</h3>
	</div>
	<div id="left">
		<div id="nginx">
		</div>
		<div id="system">
		</div>
	</div>

	<div id="content">
	<div id="controls">
		<a href="/">Main</a>
		<a href="/vhost">Virtual Hosts</a>
	</div>	

	{% block content %}
	{% endblock %}
	</div>
	<div id="footer">
	</div>
</body>
</html>
